## org.biojava.stats.svm
Interface SVMTarget

All Known Implementing Classes:
  AbstractSVMTarget, SimpleSVMTarget

public interface SVMTarget

An SVM classifier model.

This is the interface for objects that contain the model for a binary classification task.

Author:
  Matthew Pocock

Method Summary
`void` `addItem(java.lang.Object item)`
`void` `addItemTarget(java.lang.Object item, double target)`
`void` `clear()`
`double` `getTarget(java.lang.Object item)`
`java.util.Set` `items()`
`java.util.Set` `itemTargets()`
`void` `removeItem(java.lang.Object item)`
`void` `setTarget(java.lang.Object item, double target)`

Method Detail

### items

    public java.util.Set items()

### itemTargets

    public java.util.Set itemTargets()

### getTarget

    public double getTarget(java.lang.Object item)

### setTarget

    public void setTarget(java.lang.Object item,
                          double target)
                   throws java.lang.UnsupportedOperationException

### addItem

    public void addItem(java.lang.Object item)
                 throws java.lang.UnsupportedOperationException

### addItemTarget

    public void addItemTarget(java.lang.Object item,
                              double target)
                       throws java.lang.UnsupportedOperationException

### removeItem

    public void removeItem(java.lang.Object item)
                    throws java.lang.UnsupportedOperationException

### clear

    public void clear()
               throws java.lang.UnsupportedOperationException